jQuery(document).ready(function () {
    $("#TopTenKBArticles").load("index.php?module=knowledgebase&event=showTopTen");
    $("#LatestFiveKBArticles").load("index.php?module=knowledgebase&event=showLatestFive");
    $("#UpdateInfoContainer").load("index.php?module=start&event=checkUpdate");
    showNewsList();
//    loadTickets1();
//    loadTickets2();

});

function showSingleNews(NewsID) {
    $("#NewsList").load("index.php?module=news&event=getNewsDetails&news_id=" + NewsID);        
  $('html, body').animate({
    scrollTop:$('#NewsList').offset().top
  },'fast');    
    $(".collapse:not(.LeftMenuDropdown, #navbar, #hiddenElementsPanel)").collapse();

}

function showNewsList(Pos) {
    $("#NewsList").load("index.php?module=news&event=getNewsList&pos=" + Pos);    
    $(".collapse:not(.LeftMenuDropdown, #navbar, #hiddenElementsPanel)").collapse();
}

/*
function loadTickets1(){          
    $.ajax({
        type: "POST",
        url: "index.php?module=ticketlist&event=getTicketTableBody",
        data: $("#TicketList1Form").serializeArray()
    })
    .done(function( content ) {
        if (content.indexOf("reloadedTableCells") >= 0){
            $('#TicketListBody1').hide().html(content).fadeIn();                       
        } else {
            $('#TicketListBody1').fadeOut().html('<tr class="odd"> <td colspan="30"> [% $user->gettext("Ihre Session ist abgelaufen. Bitte melden Sie sich erneut an.") %] </td> </tr>').fadeIn();
        }      
    });
}


function loadTickets2(){
          
    $.ajax({
        type: "POST",
        url: "index.php?module=ticketlist&event=getTicketTableBody",
        data: $("#TicketList2Form").serializeArray()
    })
    .done(function( content ) {

        if (content.indexOf("reloadedTableCells") >= 0){
            $('#TicketListBody2').hide().html(content).fadeIn();                       
        } else {
            $('#TicketListBody2').fadeOut().html('<tr class="odd"> <td colspan="30"> [% $user->gettext("Ihre Session ist abgelaufen. Bitte melden Sie sich erneut an.") %] </td> </tr>').fadeIn();
        }
       
    });
}
*/
